> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whitebit.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Issue JWT token

> Issue a JWT token for authenticating with WhiteBIT services via the V4 API.



## OpenAPI

````yaml /openapi/private/main_api_v4.yaml POST /api/v4/jwt
openapi: 3.0.3
info:
  title: WhiteBIT Private HTTP API V4
  description: |
    WhiteBIT Private HTTP API V4 for Main balance changes.

    Base URL: https://whitebit.com

    All endpoints return time in Unix-time format.
    All endpoints return either a JSON object or array.
    For receiving responses from API calls please use http method POST.
  version: 4.0.0
  contact:
    name: WhiteBIT Support
    email: support@whitebit.com
    url: https://whitebit.com
servers:
  - url: https://whitebit.com
    description: WhiteBIT Global Server
  - url: https://whitebit.eu
    description: WhiteBIT EU Server
security:
  - ApiKeyAuth: []
    PayloadAuth: []
    SignatureAuth: []
tags:
  - name: Main Account
    description: Main account balance and operations
  - name: Deposit
    description: Cryptocurrency and fiat deposit operations
  - name: Withdraw
    description: Cryptocurrency and fiat withdrawal operations
  - name: Transfer
    description: Balance transfer operations
  - name: Codes
    description: WhiteBIT codes operations
  - name: Crypto Lending - Fixed
    description: Fixed crypto lending plans
  - name: Crypto Lending - Flex
    description: Flexible crypto lending plans
  - name: Fees
    description: Fee information
  - name: Sub-Account
    description: Sub-account management
  - name: Sub-Account API Keys
    description: Sub-account API key management
  - name: Mining Pool
    description: Mining pool operations
  - name: Credit Line
    description: Credit line information
  - name: JWT
    description: JWT token management
paths:
  /api/v4/jwt:
    post:
      tags:
        - JWT
      summary: Issue JWT token
      description: |
        The endpoint issues a JWT token for the Fiat Gateway service.
        The token is used to authenticate requests to the Fiat Gateway API.

        <Note>
        The API does not cache the response.
        </Note>
      operationId: issueJwtToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - request
                - nonce
              properties:
                request:
                  type: string
                  description: Request signature
                  example: '{{request}}'
                nonceWindow:
                  type: boolean
                  description: Nonce window setting
                  example: false
                nonce:
                  type: integer
                  description: Unique request identifier
                  example: 1594297865000
            example:
              request: '{{request}}'
              nonceWindow: false
              nonce: 1594297865000
      responses:
        '200':
          description: Validation succeeded and JWT token is returned
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      token:
                        type: string
                        description: JWT token
                      expires_at:
                        type: integer
                        description: Token expiration timestamp
              example:
                data:
                  token: eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...
                  expires_at: 1622551200
        '400':
          description: Missing required fields or invalid data
          content:
            application/json:
              schema:
                type: object
              examples:
                missingFields:
                  summary: Missing required fields
                  value:
                    code: 0
                    message: Validation failed
                    errors:
                      request:
                        - The request field is required.
                      nonce:
                        - The nonce field is required.
        '401':
          description: Invalid API key, signature, or nonce
          content:
            application/json:
              schema:
                type: object
              example:
                code: 0
                message: Invalid API key, signature, or nonce
        '500':
          description: Server configuration issues
          content:
            application/json:
              schema:
                type: object
              example:
                code: 0
                message: Server configuration issues
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-TXC-APIKEY
      description: The public WhiteBIT API key.
    PayloadAuth:
      type: apiKey
      in: header
      name: X-TXC-PAYLOAD
      description: Base64-encoded JSON request body.
    SignatureAuth:
      type: apiKey
      in: header
      name: X-TXC-SIGNATURE
      description: >-
        HMAC-SHA512 signature of the payload, hex-encoded. Computed as
        hex(HMAC-SHA512(payload, api_secret)).

````